# studio::CellRenderer_Gradient Class Reference

`#include <cellrenderer_gradient.h>`

List of all members.

## Public Member Functions

sigc::signal< void, const Glib::ustring &, synfig::Gradient > & | signal_edited ()
Glib::PropertyProxy < synfig::Gradient > | property_gradient ()
| CellRenderer_Gradient ()
| ~CellRenderer_Gradient ()

## Protected Member Functions

virtual void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &window, Gtk::Widget &widget, const Gdk::Rectangle &background_area, const Gdk::Rectangle &ca, const Gdk::Rectangle &expose_area, Gtk::CellRendererState flags)
virtual Gtk::CellEditable * | start_editing_vfunc (GdkEvent *event, Gtk::Widget &widget, const Glib::ustring &path, const Gdk::Rectangle &background_area, const Gdk::Rectangle &cell_area, Gtk::CellRendererState flags)

## Constructor & Destructor Documentation

CellRenderer_Gradient::CellRenderer_Gradient | ( |  | ) |

CellRenderer_Gradient::~CellRenderer_Gradient | ( |  | ) |

## Member Function Documentation

sigc::signal<void, const Glib::ustring&, synfig::Gradient>& studio::CellRenderer_Gradient::signal_edited | ( |  | ) | `[inline]`

Glib::PropertyProxy<synfig::Gradient> studio::CellRenderer_Gradient::property_gradient | ( |  | ) | `[inline]`

void CellRenderer_Gradient::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | window,
|  | Gtk::Widget & | widget,
|  | const Gdk::Rectangle & | background_area,
|  | const Gdk::Rectangle & | ca,
|  | const Gdk::Rectangle & | expose_area,
|  | Gtk::CellRendererState | flags |
| ) |  |  | `[protected, virtual]`

References studio::render_gradient_to_window().

Gtk::CellEditable * CellRenderer_Gradient::start_editing_vfunc | ( | GdkEvent * | event,
|  | Gtk::Widget & | widget,
|  | const Glib::ustring & | path,
|  | const Gdk::Rectangle & | background_area,
|  | const Gdk::Rectangle & | cell_area,
|  | Gtk::CellRendererState | flags |
| ) |  |  | `[protected, virtual]`

The documentation for this class was generated from the following files:

- cellrenderer_gradient.h
- cellrenderer_gradient.cpp